clang-tools 8.0.0

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
clang::clangd::dex::Chunk Struct Reference

NOTE: This is an implementation detail. More...

`#include <PostingList.h>`

Collaboration diagram for clang::clangd::dex::Chunk:
[legend]

## Public Member Functions
llvm::SmallVector< DocID, PayloadSize+1 > | decompress () const

## Public Attributes
DocID | Head
| The first element of decompressed Chunk. More...
std::array< uint8_t, PayloadSize > | Payload
| VByte-encoded deltas. More...

## Static Public Attributes
static constexpr size_t | PayloadSize = 32 - sizeof(DocID)
| Keep sizeof(Chunk) == 32. More...

## Detailed Description

NOTE: This is an implementation detail.

Chunk is a fixed-width piece of PostingList which contains the first DocID in uncompressed format (Head) and delta-encoded Payload. It can be decompressed upon request.

Definition at line 43 of file PostingList.h.

## Member Function Documentation

## ◆ decompress()

llvm::SmallVector< DocID, Chunk::PayloadSize+1 > clang::clangd::dex::Chunk::decompress | ( |  | ) | const

Definition at line 205 of file PostingList.cpp.

References clang::clangd::Head.

## Member Data Documentation

## ◆ Head

DocID clang::clangd::dex::Chunk::Head

The first element of decompressed Chunk.

Definition at line 50 of file PostingList.h.

## ◆ Payload

std::array<uint8_t, PayloadSize> clang::clangd::dex::Chunk::Payload

VByte-encoded deltas.

Definition at line 52 of file PostingList.h.

## ◆ PayloadSize

constexpr size_t clang::clangd::dex::Chunk::PayloadSize = 32 - sizeof(DocID)
| static

Keep sizeof(Chunk) == 32.

Definition at line 45 of file PostingList.h.

The documentation for this struct was generated from the following files:

- PostingList.h
- PostingList.cpp